## org.eclipse.m2m.atl.engine.vm.nativelib
Class ASMReal

    java.lang.Object
      org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
          org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
              org.eclipse.m2m.atl.engine.vm.nativelib.ASMNumber
                  org.eclipse.m2m.atl.engine.vm.nativelib.ASMReal

    public class ASMReal

extends ASMNumber

Field Summary

Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNumber
`myType`

Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
`nativeImpl`

Constructor Summary
`ASMReal(double s)`

Method Summary
`static ASMReal` `abs(StackFrame frame, ASMReal self)`
`static ASMReal` `acos(StackFrame frame, ASMNumber self)`
`double` `asDouble()`
`static ASMReal` `asin(StackFrame frame, ASMNumber self)`
`static ASMReal` `atan(StackFrame frame, ASMNumber self)`
`static ASMReal` `cos(StackFrame frame, ASMNumber self)`
`boolean` `equals(java.lang.Object o)`
`static ASMReal` `exp(StackFrame frame, ASMNumber self)`
`static ASMInteger` `floor(StackFrame frame, ASMReal self)`
`double` `getSymbol()`
`static ASMReal` `log(StackFrame frame, ASMNumber self)`
`static ASMReal` `max(StackFrame frame, ASMReal self, ASMNumber o)`
`static ASMReal` `min(StackFrame frame, ASMReal self, ASMNumber o)`
`static ASMReal` `operatorDiv(StackFrame frame, ASMReal self, ASMNumber o)`
`static ASMBoolean` `operatorEQ(StackFrame frame, ASMReal self, ASMNumber o)`
`static ASMBoolean` `operatorGE(StackFrame frame, ASMReal self, ASMNumber o)`
`static ASMBoolean` `operatorGT(StackFrame frame, ASMReal self, ASMNumber o)`
`static ASMBoolean` `operatorLE(StackFrame frame, ASMReal self, ASMNumber o)`
`static ASMBoolean` `operatorLT(StackFrame frame, ASMReal self, ASMNumber o)`
`static ASMReal` `operatorMinus(StackFrame frame, ASMReal self, ASMNumber o)`
`static ASMReal` `operatorMul(StackFrame frame, ASMReal self, ASMNumber o)`
`static ASMBoolean` `operatorNE(StackFrame frame, ASMReal self, ASMNumber o)`
`static ASMReal` `operatorPlus(StackFrame frame, ASMReal self, ASMNumber o)`
`static ASMInteger` `round(StackFrame frame, ASMReal self)`
`static ASMReal` `sin(StackFrame frame, ASMNumber self)`
`static ASMReal` `sqrt(StackFrame frame, ASMNumber self)`
`static ASMReal` `tan(StackFrame frame, ASMNumber self)`
`static ASMReal` `toDegrees(StackFrame frame, ASMNumber self)`
`static ASMReal` `toRadians(StackFrame frame, ASMNumber self)`
`java.lang.String` `toString()`
`static ASMString` `toString(StackFrame frame, ASMReal self)`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
`asBag, asSequence, asSet, check, debug, findOperation, findOperation, get, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
`getNativeImpl`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASMReal

    public ASMReal(double s)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getSymbol

    public double getSymbol()

### asDouble

    public double asDouble()

  Specified by:
    `asDouble` in class `ASMNumber`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### operatorMinus

    public static ASMReal operatorMinus(StackFrame frame,
                                        ASMReal self,
                                        ASMNumber o)

### operatorPlus

    public static ASMReal operatorPlus(StackFrame frame,
                                       ASMReal self,
                                       ASMNumber o)

### operatorMul

    public static ASMReal operatorMul(StackFrame frame,
                                      ASMReal self,
                                      ASMNumber o)

### operatorDiv

    public static ASMReal operatorDiv(StackFrame frame,
                                      ASMReal self,
                                      ASMNumber o)

### operatorEQ

    public static ASMBoolean operatorEQ(StackFrame frame,
                                        ASMReal self,
                                        ASMNumber o)

### operatorNE

    public static ASMBoolean operatorNE(StackFrame frame,
                                        ASMReal self,
                                        ASMNumber o)

### operatorLT

    public static ASMBoolean operatorLT(StackFrame frame,
                                        ASMReal self,
                                        ASMNumber o)

### operatorLE

    public static ASMBoolean operatorLE(StackFrame frame,
                                        ASMReal self,
                                        ASMNumber o)

### operatorGT

    public static ASMBoolean operatorGT(StackFrame frame,
                                        ASMReal self,
                                        ASMNumber o)

### operatorGE

    public static ASMBoolean operatorGE(StackFrame frame,
                                        ASMReal self,
                                        ASMNumber o)

### toString

    public static ASMString toString(StackFrame frame,
                                     ASMReal self)

### abs

    public static ASMReal abs(StackFrame frame,
                              ASMReal self)

### round

    public static ASMInteger round(StackFrame frame,
                                   ASMReal self)

### floor

    public static ASMInteger floor(StackFrame frame,
                                   ASMReal self)

### max

    public static ASMReal max(StackFrame frame,
                              ASMReal self,
                              ASMNumber o)

### min

    public static ASMReal min(StackFrame frame,
                              ASMReal self,
                              ASMNumber o)

### acos

    public static ASMReal acos(StackFrame frame,
                               ASMNumber self)

### asin

    public static ASMReal asin(StackFrame frame,
                               ASMNumber self)

### atan

    public static ASMReal atan(StackFrame frame,
                               ASMNumber self)

### cos

    public static ASMReal cos(StackFrame frame,
                              ASMNumber self)

### sin

    public static ASMReal sin(StackFrame frame,
                              ASMNumber self)

### tan

    public static ASMReal tan(StackFrame frame,
                              ASMNumber self)

### toDegrees

    public static ASMReal toDegrees(StackFrame frame,
                                    ASMNumber self)

### toRadians

    public static ASMReal toRadians(StackFrame frame,
                                    ASMNumber self)

### exp

    public static ASMReal exp(StackFrame frame,
                              ASMNumber self)

### log

    public static ASMReal log(StackFrame frame,
                              ASMNumber self)

### sqrt

    public static ASMReal sqrt(StackFrame frame,
                               ASMNumber self)

Copyright 2007 IBM Corporation and others. All Rights Reserved.